/*jslint white: true, undef: true, eqeqeq: true, bitwise: true, regexp: true, newcap: true, immed: true */

"use strict";

// Standard attributes 
this.name           = "aliens_world_script"; 
this.author         = "Smivs"; 
this.copyright      = "Smivs";
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0 license";       
this.version        = "1.2"; 
this.description    = "Script to add alien entities occassionaly in various locations." 

// Configuration
this.role1 = "kephalan"; 
this.count1 = 1;
this.role2 = "odonatean"; 
this.count2 = 1;
this.role3 = "scorpax"; 
this.count3 = 1;

  
this.shipWillExitWitchspace = function() 
{
  if (!system.isInterstellarSpace && (Math.random() < 0.1))
    {
      this.$addAliens()
    };
  if (system.isInterstellarSpace)
    {
      this.$addInterstellarAliens()
    };
}
this.$addAliens = function()
{
  this.alienVariable = Math.random();
  if(alienVariable < 0.3)
    {
    system.addShipsToRoute(this.role1, this.count1, 0.4, "wp")
    player.commsMessage("GalCop Main Station: Unidentified ship reported in this system - Stay alert.", 6);
    };
  if(alienVariable >= 0.3 && alienVariable < 0.6)
    {
    system.addShipsToRoute(this.role2, this.count2, 0.8, "ws")
    player.commsMessage("GalCop Main Station: Unidentified ship reported in this system - Stay alert.", 6);
    };
  if(alienVariable >= 0.6 && alienVariable < 0.8)
    {
    system.addShipsToRoute(this.role3, this.count3, 0.3, "wp")
    player.commsMessage("GalCop Main Station: Unidentified ship reported in this system - Stay alert.", 6);
    };
  if(alienVariable >= 0.8)
    {
    system.addShipsToRoute(this.role3, this.count3, 0.4, "ws")
    player.commsMessage("GalCop Main Station: Unidentified ship reported in this system - Stay alert.", 6);
    };
}
this.$addInterstellarAliens = function()
{
  if(Math.random() < 0.2)
    {
    system.addShips(this.role3, this.count3, player.ship.position, 20000)
    };
}

